/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// fugenView2Dyz.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "fugenView2Dyz.h"
#include "fugen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// fugenView2Dyz

IMPLEMENT_DYNCREATE(fugenView2Dyz, fugenView2D)

fugenView2Dyz::fugenView2Dyz():fugenView2D(1,'y','z'){;}
fugenView2Dyz::~fugenView2Dyz(){;}

BEGIN_MESSAGE_MAP(fugenView2Dyz, fugenView2D)
	//{{AFX_MSG_MAP(fugenView2Dyz)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void fugenView2Dyz::OnInitialUpdate(){
	InitOpenGL();

	const MGContext* ct = document().context();
	importDrawAttribFromContext(*ct);

	setEyePositionUpVector(MGVector(1.,0.,0.),MGVector(0.,0.,1.));
	set_perspective(false);
	initializeModel();

	fugenView* mainV=get_main_view();
	set_parent_OpenGLView(mainV);//We use maiV's display lists as the target.
	setTitle();
	copyCplaneEnability(mainV);//We use maiV's cplane status(enable/disable) info as the target.
}
